Package io.dapr.v1

# Class DaprProtos.GetSecretRequest.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderType>
com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetSecretRequest.Builder>
io.dapr.v1.DaprProtos.GetSecretRequest.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprProtos.GetSecretRequestOrBuilder`, `java.lang.Cloneable`

Enclosing class:
  DaprProtos.GetSecretRequest

    public static final class DaprProtos.GetSecretRequest.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetSecretRequest.Builder>
    implements DaprProtos.GetSecretRequestOrBuilder

     GetSecretRequest is the message to get secret from secret store.

Protobuf type `dapr.proto.runtime.v1.GetSecretRequest`

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `DaprProtos.GetSecretRequest.Builder` | `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, java.lang.Object value)` |
  `DaprProtos.GetSecretRequest` | `build()` |
  `DaprProtos.GetSecretRequest` | `buildPartial()` |
  `DaprProtos.GetSecretRequest.Builder` | `clear()` |
  `DaprProtos.GetSecretRequest.Builder` | `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)` |
  `DaprProtos.GetSecretRequest.Builder` | `clearKey()` | The name of secret key.
  `DaprProtos.GetSecretRequest.Builder` | `clearMetadata()` |
  `DaprProtos.GetSecretRequest.Builder` | `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)` |
  `DaprProtos.GetSecretRequest.Builder` | `clearStoreName()` | The name of secret store.
  `DaprProtos.GetSecretRequest.Builder` | `clone()` |
  `boolean` | `containsMetadata​(java.lang.String key)` | The metadata which will be sent to secret store components.
  `DaprProtos.GetSecretRequest` | `getDefaultInstanceForType()` |
  `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
  `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()` |
  `java.lang.String` | `getKey()` | The name of secret key.
  `com.google.protobuf.ByteString` | `getKeyBytes()` | The name of secret key.
  `java.util.Map<java.lang.String,​java.lang.String>` | `getMetadata()` | Deprecated.
  `int` | `getMetadataCount()` | The metadata which will be sent to secret store components.
  `java.util.Map<java.lang.String,​java.lang.String>` | `getMetadataMap()` | The metadata which will be sent to secret store components.
  `java.lang.String` | `getMetadataOrDefault​(java.lang.String key, java.lang.String defaultValue)` | The metadata which will be sent to secret store components.
  `java.lang.String` | `getMetadataOrThrow​(java.lang.String key)` | The metadata which will be sent to secret store components.
  `java.util.Map<java.lang.String,​java.lang.String>` | `getMutableMetadata()` | Deprecated.
  `java.lang.String` | `getStoreName()` | The name of secret store.
  `com.google.protobuf.ByteString` | `getStoreNameBytes()` | The name of secret store.
  `protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
  `protected com.google.protobuf.MapField` | `internalGetMapField​(int number)` |
  `protected com.google.protobuf.MapField` | `internalGetMutableMapField​(int number)` |
  `boolean` | `isInitialized()` |
  `DaprProtos.GetSecretRequest.Builder` | `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
  `DaprProtos.GetSecretRequest.Builder` | `mergeFrom​(com.google.protobuf.Message other)` |
  `DaprProtos.GetSecretRequest.Builder` | `mergeFrom​(DaprProtos.GetSecretRequest other)` |
  `DaprProtos.GetSecretRequest.Builder` | `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |
  `DaprProtos.GetSecretRequest.Builder` | `putAllMetadata​(java.util.Map<java.lang.String,​java.lang.String> values)` | The metadata which will be sent to secret store components.
  `DaprProtos.GetSecretRequest.Builder` | `putMetadata​(java.lang.String key, java.lang.String value)` | The metadata which will be sent to secret store components.
  `DaprProtos.GetSecretRequest.Builder` | `removeMetadata​(java.lang.String key)` | The metadata which will be sent to secret store components.
  `DaprProtos.GetSecretRequest.Builder` | `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, java.lang.Object value)` |
  `DaprProtos.GetSecretRequest.Builder` | `setKey​(java.lang.String value)` | The name of secret key.
  `DaprProtos.GetSecretRequest.Builder` | `setKeyBytes​(com.google.protobuf.ByteString value)` | The name of secret key.
  `DaprProtos.GetSecretRequest.Builder` | `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, java.lang.Object value)` |
  `DaprProtos.GetSecretRequest.Builder` | `setStoreName​(java.lang.String value)` | The name of secret store.
  `DaprProtos.GetSecretRequest.Builder` | `setStoreNameBytes​(com.google.protobuf.ByteString value)` | The name of secret store.
  `DaprProtos.GetSecretRequest.Builder` | `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |

  ### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

  `getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

  ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

  `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

  ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

  `addAll, addAll, mergeFrom, newUninitializedMessageException`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.google.protobuf.MessageLite.Builder

  `mergeFrom`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

  - ### internalGetMapField

    protected com.google.protobuf.MapField internalGetMapField​(int number)
    Overrides:
      `internalGetMapField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetSecretRequest.Builder>`

  - ### internalGetMutableMapField

    protected com.google.protobuf.MapField internalGetMutableMapField​(int number)
    Overrides:
      `internalGetMutableMapField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetSecretRequest.Builder>`

  - ### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
    Specified by:
      `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetSecretRequest.Builder>`

  - ### clear

    public DaprProtos.GetSecretRequest.Builder clear()
    Specified by:
      `clear` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `clear` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetSecretRequest.Builder>`

  - ### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()
    Specified by:
      `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
    Overrides:
      `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetSecretRequest.Builder>`

  - ### getDefaultInstanceForType

    public DaprProtos.GetSecretRequest getDefaultInstanceForType()
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

  - ### build

    public DaprProtos.GetSecretRequest build()
    Specified by:
      `build` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `build` in interface `com.google.protobuf.MessageLite.Builder`

  - ### buildPartial

    public DaprProtos.GetSecretRequest buildPartial()
    Specified by:
      `buildPartial` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

  - ### clone

    public DaprProtos.GetSecretRequest.Builder clone()
    Specified by:
      `clone` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `clone` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetSecretRequest.Builder>`

  - ### setField

    public DaprProtos.GetSecretRequest.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field, java.lang.Object value)
    Specified by:
      `setField` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetSecretRequest.Builder>`

  - ### clearField

    public DaprProtos.GetSecretRequest.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)
    Specified by:
      `clearField` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetSecretRequest.Builder>`

  - ### clearOneof

    public DaprProtos.GetSecretRequest.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)
    Specified by:
      `clearOneof` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetSecretRequest.Builder>`

  - ### setRepeatedField

    public DaprProtos.GetSecretRequest.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, java.lang.Object value)
    Specified by:
      `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetSecretRequest.Builder>`

  - ### addRepeatedField

    public DaprProtos.GetSecretRequest.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, java.lang.Object value)
    Specified by:
      `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetSecretRequest.Builder>`

  - ### mergeFrom

    public DaprProtos.GetSecretRequest.Builder mergeFrom​(com.google.protobuf.Message other)
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.GetSecretRequest.Builder>`

  - ### mergeFrom

    public DaprProtos.GetSecretRequest.Builder mergeFrom​(DaprProtos.GetSecretRequest other)

  - ### isInitialized

    public final boolean isInitialized()
    Specified by:
      `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Overrides:
      `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetSecretRequest.Builder>`

  - ### mergeFrom

    public DaprProtos.GetSecretRequest.Builder mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws java.io.IOException
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.GetSecretRequest.Builder>`
    Throws:
      `java.io.IOException`

  - ### getStoreName

    public java.lang.String getStoreName()

         The name of secret store.

    `string store_name = 1;`
    Specified by:
      `getStoreName` in interface `DaprProtos.GetSecretRequestOrBuilder`
    Returns:
      The storeName.

  - ### getStoreNameBytes

    public com.google.protobuf.ByteString getStoreNameBytes()

         The name of secret store.

    `string store_name = 1;`
    Specified by:
      `getStoreNameBytes` in interface `DaprProtos.GetSecretRequestOrBuilder`
    Returns:
      The bytes for storeName.

  - ### setStoreName

    public DaprProtos.GetSecretRequest.Builder setStoreName​(java.lang.String value)

         The name of secret store.

    `string store_name = 1;`
    Parameters:
      `value` - The storeName to set.
    Returns:
      This builder for chaining.

  - ### clearStoreName

    public DaprProtos.GetSecretRequest.Builder clearStoreName()

         The name of secret store.

    `string store_name = 1;`
    Returns:
      This builder for chaining.

  - ### setStoreNameBytes

    public DaprProtos.GetSecretRequest.Builder setStoreNameBytes​(com.google.protobuf.ByteString value)

         The name of secret store.

    `string store_name = 1;`
    Parameters:
      `value` - The bytes for storeName to set.
    Returns:
      This builder for chaining.

  - ### getKey

    public java.lang.String getKey()

         The name of secret key.

    `string key = 2;`
    Specified by:
      `getKey` in interface `DaprProtos.GetSecretRequestOrBuilder`
    Returns:
      The key.

  - ### getKeyBytes

    public com.google.protobuf.ByteString getKeyBytes()

         The name of secret key.

    `string key = 2;`
    Specified by:
      `getKeyBytes` in interface `DaprProtos.GetSecretRequestOrBuilder`
    Returns:
      The bytes for key.

  - ### setKey

    public DaprProtos.GetSecretRequest.Builder setKey​(java.lang.String value)

         The name of secret key.

    `string key = 2;`
    Parameters:
      `value` - The key to set.
    Returns:
      This builder for chaining.

  - ### clearKey

    public DaprProtos.GetSecretRequest.Builder clearKey()

         The name of secret key.

    `string key = 2;`
    Returns:
      This builder for chaining.

  - ### setKeyBytes

    public DaprProtos.GetSecretRequest.Builder setKeyBytes​(com.google.protobuf.ByteString value)

         The name of secret key.

    `string key = 2;`
    Parameters:
      `value` - The bytes for key to set.
    Returns:
      This builder for chaining.

  - ### getMetadataCount

    public int getMetadataCount()
    Description copied from interface: `DaprProtos.GetSecretRequestOrBuilder`

         The metadata which will be sent to secret store components.

    `map<string, string> metadata = 3;`
    Specified by:
      `getMetadataCount` in interface `DaprProtos.GetSecretRequestOrBuilder`

  - ### containsMetadata

    public boolean containsMetadata​(java.lang.String key)

         The metadata which will be sent to secret store components.

    `map<string, string> metadata = 3;`
    Specified by:
      `containsMetadata` in interface `DaprProtos.GetSecretRequestOrBuilder`

  - ### getMetadata

    @Deprecated public java.util.Map<java.lang.String,​java.lang.String> getMetadata()
    Deprecated.
    Use `getMetadataMap()` instead.
    Specified by:
      `getMetadata` in interface `DaprProtos.GetSecretRequestOrBuilder`

  - ### getMetadataMap

    public java.util.Map<java.lang.String,​java.lang.String> getMetadataMap()

         The metadata which will be sent to secret store components.

    `map<string, string> metadata = 3;`
    Specified by:
      `getMetadataMap` in interface `DaprProtos.GetSecretRequestOrBuilder`

  - ### getMetadataOrDefault

    public java.lang.String getMetadataOrDefault​(java.lang.String key, java.lang.String defaultValue)

         The metadata which will be sent to secret store components.

    `map<string, string> metadata = 3;`
    Specified by:
      `getMetadataOrDefault` in interface `DaprProtos.GetSecretRequestOrBuilder`

  - ### getMetadataOrThrow

    public java.lang.String getMetadataOrThrow​(java.lang.String key)

         The metadata which will be sent to secret store components.

    `map<string, string> metadata = 3;`
    Specified by:
      `getMetadataOrThrow` in interface `DaprProtos.GetSecretRequestOrBuilder`

  - ### clearMetadata

    public DaprProtos.GetSecretRequest.Builder clearMetadata()

  - ### removeMetadata

    public DaprProtos.GetSecretRequest.Builder removeMetadata​(java.lang.String key)

         The metadata which will be sent to secret store components.

    `map<string, string> metadata = 3;`

  - ### getMutableMetadata

    @Deprecated public java.util.Map<java.lang.String,​java.lang.String> getMutableMetadata()
    Deprecated.
    Use alternate mutation accessors instead.

  - ### putMetadata

    public DaprProtos.GetSecretRequest.Builder putMetadata​(java.lang.String key, java.lang.String value)

         The metadata which will be sent to secret store components.

    `map<string, string> metadata = 3;`

  - ### putAllMetadata

    public DaprProtos.GetSecretRequest.Builder putAllMetadata​(java.util.Map<java.lang.String,​java.lang.String> values)

         The metadata which will be sent to secret store components.

    `map<string, string> metadata = 3;`

  - ### setUnknownFields

    public final DaprProtos.GetSecretRequest.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)
    Specified by:
      `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetSecretRequest.Builder>`

  - ### mergeUnknownFields

    public final DaprProtos.GetSecretRequest.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)
    Specified by:
      `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetSecretRequest.Builder>`